Bug 20592 - -fno-automatic (g77 option) is missing from gfortran.
Summary: -fno-automatic (g77 option) is missing from gfortran.
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: fortran (show other bugs)
Version: 4.0.0
: P2 enhancement
Target Milestone: 4.0.2
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks: 19292
  Show dependency treegraph
 
Reported: 2005-03-22 18:37 UTC by Thomas Koenig
Modified: 2005-08-31 12:41 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-06-22 00:23:23


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Koenig 2005-03-22 18:37:08 UTC
Currently, we don't support the -fno-automatic option
that g77 supports. This option turns on the save attribute for
all local variables, and is needed for a lot of legacy code.

Thomas
Comment 1 CVS Commits 2005-08-31 12:36:15 UTC
Subject: Bug 20592

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	fxcoudert@gcc.gnu.org	2005-08-31 12:31:36

Modified files:
	gcc/fortran    : ChangeLog gfortran.h invoke.texi lang.opt 
	                 options.c resolve.c 

Log message:
	PR fortran/20592
	* gfortran.h (gfc_option_t): Add flag_automatic.
	* invoke.texi: Document the -fno-automatic option.
	* lang.opt: Add a -fautomatic option.
	* options.c (gfc_init_options): Default for -fautomatic is on.
	(gfc_handle_option): Add handling of -fautomatic option.
	* resolve.c (gfc_resolve): When -fno-automatic is used, mark
	needed variables as SAVE.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/ChangeLog.diff?cvsroot=gcc&r1=1.534&r2=1.535
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/gfortran.h.diff?cvsroot=gcc&r1=1.83&r2=1.84
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/invoke.texi.diff?cvsroot=gcc&r1=1.20&r2=1.21
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/lang.opt.diff?cvsroot=gcc&r1=1.17&r2=1.18
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/options.c.diff?cvsroot=gcc&r1=1.23&r2=1.24
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/resolve.c.diff?cvsroot=gcc&r1=1.51&r2=1.52

Comment 2 CVS Commits 2005-08-31 12:40:04 UTC
Subject: Bug 20592

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-4_0-branch
Changes by:	fxcoudert@gcc.gnu.org	2005-08-31 12:39:29

Modified files:
	gcc/fortran    : ChangeLog gfortran.h invoke.texi lang.opt 
	                 options.c resolve.c 

Log message:
	PR fortran/20592
	* gfortran.h (gfc_option_t): Add flag_automatic.
	* invoke.texi: Document the -fno-automatic option.
	* lang.opt: Add a -fautomatic option.
	* options.c (gfc_init_options): Default for -fautomatic is on.
	(gfc_handle_option): Add handling of -fautomatic option.
	* resolve.c (gfc_resolve): When -fno-automatic is used, mark
	needed variables as SAVE.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.335.2.110&r2=1.335.2.111
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/gfortran.h.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.58.2.15&r2=1.58.2.16
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/invoke.texi.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.7.18.8&r2=1.7.18.9
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/lang.opt.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.8.20.4&r2=1.8.20.5
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/options.c.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.17.8.4&r2=1.17.8.5
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fortran/resolve.c.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.34.2.14&r2=1.34.2.15

Comment 3 Francois-Xavier Coudert 2005-08-31 12:41:57 UTC
The -fno-automatic is now present on both branches (4.0 and mainline). Fixed.